## w3m-ssl 0.1.10+0.1.11pre+kokb23-4

=== Makefile ===
GCLIBTGZ=gc5.0alpha3.tar.gz

all: XXMakefile
	make -f XXMakefile 

install: XXMakefile
	make -f XXMakefile install

uninstall: XXMakefile
	make -f XXMakefile uninstall

proto: XXMakefile
	make -f XXMakefile proto

clean: XXMakefile
	make -f XXMakefile clean

sweep: XXMakefile
	make -f XXMakefile sweep

veryclean: clean sweep
	rm XXMakefile
	(cd gc; make clean)
	rm -f config.param
	rm -f */*~ */*.orig */*.rej

prepare:
	rm -rf gc
	gzip -dc ../$(GCLIBTGZ) | tar xvf -
	cp XMakefile.dist XMakefile

dist: XXMakefile
	make -f XXMakefile dist

bindist: XXMakefile
	make -f XXMakefile bindist

indent:
	indent -orig -nce -ncdb -i4 -di1 -nbc *.c *.h

XXMakefile: XMakefile config.h
	awk '/^#ifdef makefile_parameter/,/^#else/' config.h | cat - XMakefile > XXMakefile

=== gc/Makefile ===
# Primary targets:
# gc.a - builds basic library
# libgc.a - builds library for use with g++ "-fgc-keyword" extension
# c++ - adds C++ interface to library
# cords - adds cords (heavyweight strings) to library
# test - prints porting information, then builds basic version of gc.a,
#      	 and runs some tests of collector and cords.  Does not add cords or
#	 c++ interface to gc.a
# cord/de - builds dumb editor based on cords.
ABI_FLAG=
CC=cc $(ABI_FLAG)
CXX=CC $(ABI_FLAG)
AS=as $(ABI_FLAG)
#  The above doesn't work with gas, which doesn't run cpp.
#  Define AS as `gcc -c -x assembler-with-cpp' instead.
#  Under Irix 6, you will have to specify the ABI (-o32, -n32, or -64)
#  if you use something other than the default ABI on your machine.

CFLAGS= -O -DATOMIC_UNCOLLECTABLE -DNO_SIGNALS -DNO_EXECUTE_PERMISSION -DALL_INTERIOR_POINTERS -DSILENT

# For dynamic library builds, it may be necessary to add flags to generate
# PIC code, e.g. -fPIC on Linux.

# Setjmp_test may yield overly optimistic results when compiled
# without optimization.
# -DSILENT disables statistics printing, and improves performance.
# -DFIND_LEAK causes GC_find_leak to be initially set.
#   This causes the collector to assume that all inaccessible
#   objects should have been explicitly deallocated, and reports exceptions.
#   Finalization and the test program are not usable in this mode.
# -DSOLARIS_THREADS enables support for Solaris (thr_) threads.
#   (Clients should also define SOLARIS_THREADS and then include
#   gc.h before performing thr_ or dl* or GC_ operations.)
#   Must also define -D_REENTRANT.
# -D_SOLARIS_PTHREADS enables support for Solaris pthreads.
#   Define SOLARIS_THREADS as well.
# -DIRIX_THREADS enables support for Irix pthreads.  See README.irix.
# -DLINUX_THREADS enables support for Xavier Leroy's Linux threads.
#   see README.linux.  -D_REENTRANT may also be required.
# -DALL_INTERIOR_POINTERS allows all pointers to the interior
#   of objects to be recognized.  (See gc_priv.h for consequences.)
# -DSMALL_CONFIG tries to tune the collector for small heap sizes,
#   usually causing it to use less space in such situations.
#   Incremental collection no longer works in this case.
# -DLARGE_CONFIG tunes the collector for unusually large heaps.
#   Necessary for heaps larger than about 500 MB on most machines.
#   Recommended for heaps larger than about 64 MB.
# -DDONT_ADD_BYTE_AT_END is meaningful only with
#   -DALL_INTERIOR_POINTERS.  Normally -DALL_INTERIOR_POINTERS
#   causes all objects to be padded so that pointers just past the end of
#   an object can be recognized.  This can be expensive.  (The padding
#   is normally more than one byte due to alignment constraints.)
#   -DDONT_ADD_BYTE_AT_END disables the padding.
# -DNO_SIGNALS does not disable signals during critical parts of
#   the GC process.  This is no less correct than many malloc 
#   implementations, and it sometimes has a significant performance
#   impact.  However, it is dangerous for many not-quite-ANSI C
#   programs that call things like printf in asynchronous signal handlers.
# -DNO_EXECUTE_PERMISSION may cause some or all of the heap to not
#   have execute permission, i.e. it may be impossible to execute
#   code from the heap.  Currently this only affects the incremental
#   collector on UNIX machines.  It may greatly improve its performance,
#   since this may avoid some expensive cache synchronization.
# -DOPERATOR_NEW_ARRAY declares that the C++ compiler supports the
#   new syntax "operator new[]" for allocating and deleting arrays.
#   See gc_cpp.h for details.  No effect on the C part of the collector.
#   This is defined implicitly in a few environments.
# -DREDIRECT_MALLOC=X causes malloc, realloc, and free to be defined
#   as aliases for X, GC_realloc, and GC_free, respectively.
#   Calloc is redefined in terms of the new malloc.  X should
#   be either GC_malloc or GC_malloc_uncollectable.
#   The former is occasionally useful for working around leaks in code
#   you don't want to (or can't) look at.  It may not work for
#   existing code, but it often does.  Neither works on all platforms,
#   since some ports use malloc or calloc to obtain system memory.
#   (Probably works for UNIX, and win32.)
# -DIGNORE_FREE turns calls to free into a noop.  Only useful with
#   -DREDIRECT_MALLOC.
# -DNO_DEBUGGING removes GC_dump and the debugging routines it calls.
#   Reduces code size slightly at the expense of debuggability.
# -DJAVA_FINALIZATION makes it somewhat safer to finalize objects out of
#   order by specifying a nonstandard finalization mark procedure  (see
#   finalize.c).  Objects reachable from finalizable objects will be marked
#   in a sepearte postpass, and hence their memory won't be reclaimed.
#   Not recommended unless you are implementing a language that specifies
#   these semantics.  Since 5.0, determines only only the initial value
#   of GC_java_finalization variable.
# -DFINALIZE_ON_DEMAND causes finalizers to be run only in response
#   to explicit GC_invoke_finalizers() calls.
#   In 5.0 this became runtime adjustable, and this only determines the
#   initial value of GC_finalize_on_demand.
# -DATOMIC_UNCOLLECTABLE includes code for GC_malloc_atomic_uncollectable.
#   This is useful if either the vendor malloc implementation is poor,
#   or if REDIRECT_MALLOC is used.
# -DHBLKSIZE=ddd, where ddd is a power of 2 between 512 and 16384, explicitly
#   sets the heap block size.  Each heap block is devoted to a single size and
#   kind of object.  For the incremental collector it makes sense to match
#   the most likely page size.  Otherwise large values result in more
#   fragmentation, but generally better performance for large heaps.
# -DUSE_MMAP use MMAP instead of sbrk to get new memory.
#   Works for Solaris and Irix.
# -DUSE_MUNMAP causes memory to be returned to the OS under the right
#   circumstances.  This currently disables VM-based incremental collection.
#   This is currently experimental, and works only under some Unix and
#   Linux versions.
# -DMMAP_STACKS (for Solaris threads) Use mmap from /dev/zero rather than
#   GC_scratch_alloc() to get stack memory.
# -DPRINT_BLACK_LIST Whenever a black list entry is added, i.e. whenever
#   the garbage collector detects a value that looks almost, but not quite,
#   like a pointer, print both the address containing the value, and the
#   value of the near-bogus-pointer.  Can be used to identifiy regions of
#   memory that are likely to contribute misidentified pointers.
# -DOLD_BLOCK_ALLOC Use the old, possibly faster, large block
#   allocation strategy.  The new strategy tries harder to minimize
#   fragmentation, sometimes at the expense of spending more time in the
#   large block allocator and/or collecting more frequently.
#   If you expect the allocator to promptly use an explicitly expanded
#   heap, this is highly recommended.
# -DKEEP_BACK_PTRS Add code to save back pointers in debugging headers
#   for objects allocated with the debugging allocator.  If all objects
#   through GC_MALLOC with GC_DEBUG defined, this allows the client
#   to determine how particular or randomly chosen objects are reachable
#   for debugging/profiling purposes.  The backptr.h interface is
#   implemented only if this is defined.
# -DGC_ASSERTIONS Enable some internal GC assertion checking.  Currently
#   this facility is only used in a few places.  It is intended primarily
#   for debugging of the garbage collector itself, but could also
#   occasionally be useful for debugging of client code.  Slows down the
#   collector somewhat, but not drastically.
# -DCHECKSUMS reports on erroneously clear dirty bits, and unexpectedly
#   altered stubborn objects, at substantial performance cost.
#   Use only for debugging of the incremental collector.
#


LIBGC_CFLAGS= -O -DNO_SIGNALS -DSILENT \
    -DREDIRECT_MALLOC=GC_malloc_uncollectable \
    -DDONT_ADD_BYTE_AT_END -DALL_INTERIOR_POINTERS
#   Flags for building libgc.a -- the last two are required.

CXXFLAGS= $(CFLAGS) 
AR= ar
RANLIB= ranlib


# Redefining srcdir allows object code for the nonPCR version of the collector
# to be generated in different directories.  In this case, the destination directory
# should contain a copy of the original include directory.
srcdir = .
VPATH = $(srcdir)

OBJS= alloc.o reclaim.o allchblk.o misc.o mach_dep.o os_dep.o mark_rts.o headers.o mark.o obj_map.o blacklst.o finalize.o new_hblk.o dbg_mlc.o malloc.o stubborn.o checksums.o solaris_threads.o irix_threads.o linux_threads.o typd_mlc.o ptr_chck.o mallocx.o solaris_pthreads.o

CSRCS= reclaim.c allchblk.c misc.c alloc.c mach_dep.c os_dep.c mark_rts.c headers.c mark.c obj_map.c pcr_interface.c blacklst.c finalize.c new_hblk.c real_malloc.c dyn_load.c dbg_mlc.c malloc.c stubborn.c checksums.c solaris_threads.c irix_threads.c linux_threads.c typd_mlc.c ptr_chck.c mallocx.c solaris_pthreads.c

CORD_SRCS=  cord/cordbscs.c cord/cordxtra.c cord/cordprnt.c cord/de.c cord/cordtest.c cord/cord.h cord/ec.h cord/private/cord_pos.h cord/de_win.c cord/de_win.h cord/de_cmds.h cord/de_win.ICO cord/de_win.RC cord/SCOPTIONS.amiga cord/SMakefile.amiga

CORD_OBJS=  cord/cordbscs.o cord/cordxtra.o cord/cordprnt.o

SRCS= $(CSRCS) mips_sgi_mach_dep.s rs6000_mach_dep.s alpha_mach_dep.s \
    sparc_mach_dep.s gc.h gc_typed.h gc_hdrs.h gc_priv.h gc_private.h \
    gcconfig.h gc_mark.h include/gc_inl.h include/gc_inline.h gc.man \
    threadlibs.c if_mach.c if_not_there.c gc_cpp.cc gc_cpp.h weakpointer.h \
    gcc_support.c mips_ultrix_mach_dep.s include/gc_alloc.h gc_alloc.h \
    include/new_gc_alloc.h include/javaxfc.h sparc_sunos4_mach_dep.s \
    solaris_threads.h backptr.h $(CORD_SRCS)

OTHER_FILES= Makefile PCR-Makefile OS2_MAKEFILE NT_MAKEFILE BCC_MAKEFILE \
           README test.c test_cpp.cc setjmp_t.c SMakefile.amiga \
           SCoptions.amiga README.amiga README.win32 cord/README \
           cord/gc.h include/gc.h include/gc_typed.h include/cord.h \
           include/ec.h include/private/cord_pos.h include/private/gcconfig.h \
           include/private/gc_hdrs.h include/private/gc_priv.h \
	   include/gc_cpp.h README.rs6000 include/backptr.h \
           include/weakpointer.h README.QUICK callprocs pc_excludes \
           barrett_diagram README.OS2 README.Mac MacProjects.sit.hqx \
           MacOS.c EMX_MAKEFILE makefile.depend README.debugging \
           include/gc_cpp.h Mac_files/datastart.c Mac_files/dataend.c \
           Mac_files/MacOS_config.h Mac_files/MacOS_Test_config.h \
           add_gc_prefix.c README.solaris2 README.sgi README.hp README.uts \
	   win32_threads.c NT_THREADS_MAKEFILE gc.mak README.dj Makefile.dj \
	   README.alpha README.linux version.h Makefile.DLLs \
	   WCC_MAKEFILE nursery.c nursery.h gc_copy_descr.h \
	   include/leak_detector.h

CORD_INCLUDE_FILES= $(srcdir)/gc.h $(srcdir)/cord/cord.h $(srcdir)/cord/ec.h \
           $(srcdir)/cord/private/cord_pos.h

UTILS= if_mach if_not_there threadlibs

# Libraries needed for curses applications.  Only needed for de.
CURSES= -lcurses -ltermlib

# The following is irrelevant on most systems.  But a few
# versions of make otherwise fork the shell specified in
# the SHELL environment variable.
SHELL= /bin/sh

SPECIALCFLAGS = 
# Alternative flags to the C compiler for mach_dep.c.
# Mach_dep.c often doesn't like optimization, and it's
# not time-critical anyway.
# Set SPECIALCFLAGS to -q nodirect_code on Encore.

all: gc.a gctest

pcr: PCR-Makefile gc_private.h gc_hdrs.h gc.h gcconfig.h mach_dep.o $(SRCS)
	make -f PCR-Makefile depend
	make -f PCR-Makefile

$(OBJS) test.o dyn_load.o dyn_load_sunos53.o: $(srcdir)/gc_priv.h $(srcdir)/gc_hdrs.h $(srcdir)/gc.h \
    $(srcdir)/gcconfig.h $(srcdir)/gc_typed.h Makefile
# The dependency on Makefile is needed.  Changing
# options such as -DSILENT affects the size of GC_arrays,
# invalidating all .o files that rely on gc_priv.h

mark.o typd_mlc.o finalize.o: $(srcdir)/gc_mark.h

=== debian/changelog ===
w3m-ssl (0.1.10+0.1.11pre+kokb23-4) stable; urgency=high

  * [SECURITY FIX] backport fix of mime header buffer overflow
    SNS Advisory No.32
    w3m malformed MIME header Buffer Overflow Vulnerability
    http://www.lac.co.jp/security/snsadv/32.html (Japanese)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 20 Jun 2001 11:15:03 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb23-3) unstable; urgency=low

  * don't remove pager alternative when upgrading, (same as Bug#87331)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 25 Feb 2001 00:27:58 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb23-2) unstable; urgency=high

  * link with libssl096, closes: Bug#66306, Bug#86387, Bug#83681, Bug#82271
  * view information on SSL certificates, closes: Bug#79689
  * w3m-dev-01739
    Add wheel mouse patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 19 Feb 2001 01:42:37 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb23-1) stable unstable; urgency=high

  * new upstream pre release
    more security fixes
    - fix table stack overflow
    - more internal tag and attribute check
    - fix some buffer overflow bug
    null character handling
  * w3m-dev-01500
    fix risky code in url.c

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 14 Dec 2000 01:10:10 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb22-1) stable unstable; urgency=high

  * new upstream pre release
    including important security fix
  * apply patches on w3m-dev
    w3m-dev-01432,01437,01443,01445

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  3 Dec 2000 01:36:42 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb21-3) unstable; urgency=high

  * SECURITY FIX:
    more checking internal tag

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  1 Dec 2000 11:46:50 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb21-2) unstable; urgency=HIGH

  * SECURITY FIX:
    check internal tag

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  1 Dec 2000 10:48:21 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb21-1) unstable; urgency=low

  * new upstream pre release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 28 Nov 2000 10:59:02 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb20-1) unstable; urgency=low

  * new upstream pre release
  * fix mailcap handling, closes: Bug#77679

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 23 Nov 2000 05:47:03 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb19-2) unstable; urgency=low

  * for JIS output, kanjicode=j instead of kanjicode=J, closes: Bug#76605
  * fix configuration. no block in sig_chld(), closes: Bug#77167

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 19 Nov 2000 00:53:37 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb19-1) unstable; urgency=low

  * new upstream pre release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 10 Nov 2000 00:27:36 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb18-3) unstable; urgency=low

  * fix again rxvt mouse support, closes: Bug#76036

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  2 Nov 2000 18:47:13 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb18-2) unstable; urgency=low

  * fix pager alternatives' slave

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 31 Oct 2000 10:28:15 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb18-1) unstable; urgency=low

  * new upstream pre release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 30 Oct 2000 11:46:55 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb17-3) unstable; urgency=low

  * apply patches
    w3m-dev:01258 filename/URI input line completion
    w3m-dev:01263 setting user mailcap and mime.type
    w3m-dev:01269 news: URL fix
    w3m-dev:01273 USE_NNTP fix
    w3m-dev:01274 support nntp:
    w3m-dev:01275 change squeeze multiple blank line option to -s
    		closes: Bug#75527
    w3m-dev:01276 fix URL in visual mode
    		closes: Bug#75573
    w3m-dev:01277 add Accept-Encoding: gzip
    		closes: Bug#74695
  * (config.h-*) add USE_GOPHER, USE_NNTP
  * w3m.sh: fix for -ppc, -o, -config
  * w3m.1: update
  * emacsen-startup: remove extra right paren, closes: Bug#75795

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 26 Oct 2000 21:42:45 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb17-2) unstable; urgency=low

  * apply patches
    w3m-dev:01240: fix segfault, incompatible pointer, closes: Bug#75513
    w3m-dev:01247: cummulative menu patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 25 Oct 2000 12:38:30 +0900

w3m-ssl (0.1.10+0.1.11pre+kokb17-1) unstable; urgency=low

  * new upstream pre release with several patches
   - can't reproduce "run in an xterm gets trashed by the \x96 character"
     closes: Bug#53048
   - fixed: w3m in xterm horribly confused by Japanese in title
     closes: Bug#62474
   - fixed: Won't warn if can't understand config files.
     closes: Bug#74069
   - apply keymap.lynx example could be better.
     closes: Bug#74070
  * include w3m.el

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 24 Oct 2000 13:37:53 +0900

w3m-ssl (0.1.10-3) unstable; urgency=low

  * several bug fixes:
    - resize on rxvt works fine, closes: Bug#64678, #71597
    - No segfault from history page in 0.1.10, closes: Bug#65101
    - As bug submitter said, download problem was fixed in 0.1.10, 
      closes: Bug#66235
    - no nbsp leaks with 0.1.10, closes: Bug#67581
    - fix debian/rules to check -perm 0100 instead of -perm 0111,
      closes: Bug#72100
    - support rxvt mouse support: closes: Bug#71380, Bug#58280
    - mailcap test, closes: Bug#63309
    - quote space in form submit: closes: Bug#60825, Bug#67466
    - ignore space in leading blanks: closes: Bug#66887
    If you claim not yet fixed, please reopen

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  1 Oct 2000 04:15:08 +0900

w3m-ssl (0.1.10-2) stable unstable; urgency=medium

  * proposed-updates release
    since I believe 0.1.10-1 (in woody) is more stable than 0.9.5-5 (in potato)
    and I plan w3m move to next unstable/experimental release for woody,
    so I'd like to put it in stable(proposed-updates)
    I'd not like to backport to 0.9.5 from 0.1.10, because it might include
    some bugs, so I think 0.1.10 (proven stable) is better than backported
    0.9.5


=== debian/control ===
Source: w3m-ssl
Section: non-US/main
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Build-Depends: libgc5-dev, libncurses5-dev, libgpmg1-dev, libssl09-dev, debhelper, awk
Standards-Version: 3.1.1

Package: w3m-ssl
Architecture: any
Depends: ${shlibs:Depends}, w3m
Recommends: w3m (= ${Source-Version})
Provides: www-browser
Suggests: mime-support, menu (>> 1.5)
Description: WWW browsable pager with SSL support
 w3m is a text-based World Wide Web browser with IPv6 support. 
 It features excellent support for tables and frames. It can be used 
 as a standalone file pager, too.
 .
  * You can follow links and/or view images in HTML.
  * Internet message prewview mode, you can browse HTML mail.
  * You can follow links in plain text if it includes URL forms.
 .
 This package is built with SSL support.
 .
 For more information, 
 see http://ei5nazha.yz.yamagata-u.ac.jp/~aito/w3m/eng/index.html

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

nossl:
	@echo change to nossl version...
	@cd debian && for i in *-nossl; do \
		f=`echo $$i | sed -e 's/-nossl//'`; \
		mv $$f $$f-ssl; \
		mv $$i $$f; \
		echo -n "$$f "; \
	done
	@chmod +x debian/rules
	@echo done

ssl:
	@echo already ssl version environments

include debian/rules.mk

build: build-stamp
build-stamp: setup-ja setup-en
	dh_testdir
	sed -f debian/config.ssl.sed < debian/config.h-ja > $(buildjadir)/config.h
	cd $(buildjadir) && $(MAKE)
	sed -f debian/config.ssl.sed < debian/config.h-en > $(buildendir)/config.h
	cd $(buildendir) && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf $(buildtree)
	rm -f extract-stamp patch-stamp build-stamp install-stamp
	rm -f debian/docs debian/examples
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 755 -s $(buildendir)/w3m `pwd`/debian/tmp/usr/bin/w3m-ssl-en
	install -m 755 -s $(buildjadir)/w3m `pwd`/debian/tmp/usr/bin/w3m-ssl-ja
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installmenu
#	dh_installmime
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
	install -m 644 $(builddir)/doc-jp/HISTORY.kokb `pwd`/debian/tmp/usr/share/doc/w3m-ssl/changelog.w3m-kokb
	dh_installchangelogs $(builddir)/doc/HISTORY
	dh_strip
	dh_compress
	(cd debian/tmp/usr/share/doc/w3m-ssl; ls -1) | while read file; do \
	   case $$file in changelog*|copyright*|README.Debian) continue;; esac;\
	   test -d debian/tmp/usr/share/doc/w3m-ssl/$$file && continue; \
	   rm -f debian/tmp/usr/share/doc/w3m-ssl/$$file; \
	   dh_link usr/share/doc/w3m/$$file usr/share/doc/w3m-ssl/$$file; \
	done
	dh_link usr/share/w3m/examples usr/share/w3m-ssl/examples
	dh_link usr/share/w3m/ja usr/share/w3m-ssl/ja
	dh_link usr/share/man/man1/w3m.1.gz usr/share/man/man1/w3m-ssl-ja.1.gz
	dh_link usr/share/man/man1/w3m.1.gz usr/share/man/man1/w3m-ssl-en.1.gz
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
